/// <reference types="react" />
import React from "react";
import { ControlType, EditorState } from "braft-editor";
interface BaseEditorProps {
    value: EditorState;
    onChange: (editorState: EditorState) => void;
    contentStyle?: React.CSSProperties;
    controls?: ControlType[];
    FloatControls?: any;
    blockRenderMap?: any;
    blockRendererFn?: any;
    draftProps?: any;
    placeholder?: string;
    converts?: any;
}
declare const BarftEditorPage: ({ value, onChange, controls, contentStyle, FloatControls, draftProps, placeholder, blockRenderMap, blockRendererFn, converts, }: BaseEditorProps) => JSX.Element;
export { BarftEditorPage as default, BarftEditorPage, BaseEditorProps };
