/// <reference types="react" />
import { BaseEditorProps } from "../BraftEditor/index";
import React from "react";
interface ToolListItem {
    key: any;
    color: string;
    iconClass: string;
    iconTextClass: string;
    onClick: any;
    text?: string;
    render?: (i: ToolListItem, innerIcon: any, innerText: any, divWrapStyle: React.CSSProperties | undefined) => any;
}
interface SimpleEditorProps extends BaseEditorProps {
    toolAlign?: "inner" | "bottom";
    toolList?: Array<ToolListItem>;
    injectControlsToolBar?: any;
    injectBraftEditorProps?: any;
    toolBarContainerStyle?: any;
    appendToolBtn?: any;
}
declare const SimpleEditor: (props: SimpleEditorProps) => JSX.Element;
export { default as BraftEditor } from "../BraftEditor/index";
export { SimpleEditor };
